ListDeployments
Lists the deployments in the account. You can filter the results by status and page through them using maxResults and nextToken.
Request Syntax
GET /deployments?maxResults=maxResults&nextToken=nextToken&status=status HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
The maximum number of results to return in a single call. Valid range: 1-100. To retrieve the remaining results, use the returned
nextTokenvalue in a subsequent call.Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
The token for the next page of results. To retrieve the next page, call the operation again and provide this value. When there are no more results, this value is null.
Length Constraints: Minimum length of 1. Maximum length of 4096.
Pattern:
[0-9A-Za-z:/+=_-]+ - status
-
Filters the results by status:
ACTIVE,DRAFT, orDISABLED.Valid Values:
ACTIVE | DRAFT | DISABLED
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"deployments": [
{
"deploymentArn": "string",
"deploymentId": "string",
"deploymentName": "string",
"hasPublishedVersion": boolean,
"status": "string",
"updatedAt": "string",
"version": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- deployments
-
The list of deployments.
Type: Array of DeploymentSummary objects
Array Members: Minimum number of 0 items. Maximum number of 100 items.
- nextToken
-
The token for the next page of results. To retrieve the next page, call the operation again and provide this value. When there are no more results, this value is null.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
Pattern:
[0-9A-Za-z:/+=_-]+
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient permissions to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request processing failed because of an internal error in the service. This is a retryable error.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied because of request throttling. Reduce your request rate and try again.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 429
- ValidationException
-
The request failed validation. For details, see the
reasonandfieldListmembers of the response.- fieldList
-
The list of request fields that failed validation, if any.
- reason
-
The reason that the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: